# LinkedVariable class

(Shortest import: `from brian2.core.variables import LinkedVariable)`

class brian2.core.variables.LinkedVariable(group, name, variable, index=None)

  Bases: `object`

  A simple helper class to make linking variables explicit. Users should use `linked_var()` instead.

  Parameters:

    group : `Group`

    > The group through which the `variable` is accessed (not necessarily the same as `variable.owner`.

    name : str

    > The name of `variable` in `group` (not necessarily the same as

    >   `variable.name`).

    variable : `Variable`

    > The variable that should be linked.

    index : str or `ndarray`, optional

    > An indexing array (or the name of a state variable), providing a mapping from the entries in the link source to the link target.